<template>
  <div>
    <h1 class="mb-8">Have you tried any prescription or over the counter medications for your skin issues?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      :disabled="!radioSelected"
      text="Next"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin} from "@/utils/mixins";

export default {
  mixins: [radioMixin, answersMixin],
  name: "AntiAging6",
  data() {
    return {
      choices: [
        'Yes',
        'No',
      ],
      radioHandler: newVal => this.setAnswer(this.answersKeys.ANTI_AGING, newVal, 'stage_6')
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected === 'Yes') {
        this.nextStage()
      } else {
        this.$emit('goTo', 9)
      }
    }
  }
}
</script>

<style scoped>

</style>
